#!/usr/bin/node
"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
exports.__esModule = true;
var fs = require("fs");
var path = require("path");
var yargs = require("yargs");
var __1 = require("../");
yargs
    .command('ts', 'Generate a partial TypeScript configuration for the path aliases', {}, function () {
    var tsConfigName = 'tsconfig.alias.json';
    var tsConfigPath = path.resolve(process.cwd(), tsConfigName);
    var tsConfig = __assign({}, __1.alias.toTypeScript);
    fs.writeFileSync(tsConfigPath, JSON.stringify(tsConfig, null, 2));
    console.log('"%s" successfully generated!', tsConfigName);
})
    .help().argv;
