import { AliasConfig } from '../../glossary';
export interface PluginAliasDeclaration {
    find: string | RegExp;
    replacement: string;
}
/**
 * Generates the configuration for the `@rollup/plugin-alias` plugin
 * with the given path alias.
 */
export declare function toRollup(config: AliasConfig): {
    entries: PluginAliasDeclaration[];
} & {
    customResolver: import("./createCustomResolver").CustomResolver;
};
